<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRepairesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('repaires', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('renum_id')->nullable();
            $table->string('quonum_id')->nullable();
            $table->string('billnum_id')->nullable();
            $table->bigInteger('customer_id')->nullable();
            $table->bigInteger('user_id')->nullable();
            $table->bigInteger('equiment_type_id')->nullable();
            $table->string('detail')->nullable();
            $table->string('images')->nullable();
            $table->string('cause_detail')->nullable();
            $table->string('customer_name')->nullable();
            $table->string('customer_sex')->nullable();
            $table->string('customer_tel')->nullable();
            $table->string('customer_address')->nullable();
            $table->string('customer_type')->nullable();
            $table->string('other_customer')->nullable();
            $table->bigInteger('all_price')->nullable();
            $table->string('list_status')->nullable();
            $table->string('status_now')->nullable();
            $table->string('work_status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('repaires');
    }
}
